@namespace url(http://www.w3.org/1999/xhtml);
@namespace svg url(http://www.w3.org/2000/svg);
@namespace xlink url(http://www.w3.org/1999/xlink);
@namespace mathml url(http://www.w3.org/1998/Math/MathML);

body{
	color:black;
	background:white;
	font-family:Verdana, sans-serif;
	margin:50px 1em 1em;
	background-image:url('./vcss.gif'), url('./valid-xhtml11.gif'), url('./valid-svg11.gif'), url('./valid-mathml20.gif');
	background-repeat: no-repeat, no-repeat, no-repeat, no-repeat;
	background-position:10px 10px, 110px 10px, 210px 10px, 310px 10px;
	line-height:2em;
	font-size:16px;
}
h1, h2{
	text-align:center;
	line-height:1.5em;
	font-variant:small-caps;
}
h1{font-size:250%;}
h1{font-size:200%;}
dl#Steps{
	counter-reset:steps;
}

dl#Steps dt{
	counter-increment:steps;
	font-weight:bold;
}
dl#Steps dt::before{
	content: 'Step ' counter(steps) ':';
	text-decoration:underline;
	padding-right:1em;
}
dl#Steps dd{
	margin-bottom:1em;
}
div#Lattices{
	text-align:center;
}

div#Lattices div{
	vertical-align:top;
	display:inline-block;
	width:500px;
	border-top:1px solid black;
	margin:10px;
	padding:5px;
}

p.answer{
	text-align:center;
	font-size:20px;
}
#Factors{
	display:table;
	border:1px solid gray;
	margin:auto;
}
#Factors ul{
	list-style:none;
	margin:0;
	padding:5px 20px;
	display:table-cell;
	width:50%;
	
}
#Factors ul:last-child{
	border-left:1px solid gray;
}

/*  SVG Lattice CSS  */


svg|svg.lattice{
	display:block;
	width:252px;
	padding:10px;
	margin:auto;
}
svg|svg > svg|g{transform:translate(1px,1px);}

#Lattice_01 svg|svg{height:204px;} /*  64, 81 */
#Lattice_02 svg|svg{height:304px;} /* 25 */
#Lattice_03 svg|svg{height:404px;} /* 49 */
#Lattice_04 svg|svg{height:454px;} /* 11 */
#Lattice_05 svg|svg{height:504px;} /* 13 */
#Lattice_06 svg|svg{height:554px;} /* 17 */
#Lattice_07 svg|svg{height:654px;} /* 19 */
#Lattice_08 svg|svg{height:704px;} /* 23 */
#Lattice_09 svg|svg{height:754px;} /* 29 */
#Lattice_10 svg|svg{height:854px;} /* 31 */
#Lattice_11 svg|svg{height:904px;} /* 37 */
#Lattice_12 svg|svg{height:1004px;} /* 41 */
#Lattice_13 svg|svg{height:1054px;} /* 43 */
#Lattice_14 svg|svg{height:1154px;} /* 47 */
#Lattice_15 svg|svg{height:1254px;} /* 53 */
#Lattice_16 svg|svg{height:1304px;} /* 59 */
#Lattice_17 svg|svg{height:1404px;} /* 61 */
#Lattice_18 svg|svg{height:1504px;} /* 67 */
#Lattice_19 svg|svg{height:1604px;} /* 71 */
#Lattice_20 svg|svg{height:1704px;} /* 73 */
#Lattice_21 svg|svg{height:1804px;} /* 79 */
#Lattice_22 svg|svg{height:1854px;} /* 83 */
#Lattice_23 svg|svg{height:1954px;} /* 89 */
#Lattice_24 svg|svg{height:2054px;} /* 97 */

svg|rect, svg|line, svg|polygon{
	stroke:#000;
	stroke-width:2px;
}

svg|rect, svg|polygon{
	fill:#fff;
	fill-opacity:1;
}

svg|text{
	fill:black;
	font-size:30px;
}
svg|g.cnums svg|text,  svg|text.cnums, svg|text.carry{font-size:20px;}
svg|svg#Fac_Tree svg|text, svg|text.pr_fac{font-size:15px;}

svg|text.carry{fill:#00F;}


/*  SVG Factorization Tree CSS */

svg|g#Factors{transform:translate(0,20px);}
svg|polyline#FacLine{
	stroke:#888;
	stroke-width:2;
	fill:#FFF;
}

/*  MathML CSS  */
mathml|math{
	font-family:Verdana;
}
mathml|mo{
	padding:0 0.2em;
}
mathml|mtext{padding-left:0.2em;}
mathml|math.lattice_eq{
	display:block;
	text-align:center;
}
mathml|msup mathml|mn:last-child{
	vertical-align:super;
	font-size:smaller;
}
mathml|mi{font-style:italic;}
